window.AST={
    id:"node0x1c15350",
    name:"ROOT",
    data:{},
    children:[
    {
        id:"node0x1c1b650",
        name:"func_definition",
        data:{},
        children:[
            ],
        },
        {
            id:"node0x1c1b5c0",
            name:"compound_statement",
            data:{},
            children:[
            {
                id:"node0x1c1b220",
                name:"decl_or_statement_list",
                data:{},
                children:[
                {
                    id:"node0x1c1afa0",
                    name:"declaration",
                    data:{},
                    children:[
                    {
                        id:"node0x1c1aaf0",
                        name:"type_specifier",
                        data:{},
                        children:[
                        {
                            id:"node0x1c1ab80",
                            name:"'signed'",
                            data:{'$type':'ellipse',"$color":"#00FF00"},
                            children:[
                            ],
                        },
                        {
                            id:"node0x1c1ac30",
                            name:"'long'",
                            data:{'$type':'ellipse',"$color":"#00FF00"},
                            children:[
                            ],
                        },
                        {
                            id:"node0x1c1ad00",
                            name:"'int'",
                            data:{'$type':'ellipse',"$color":"#00FF00"},
                            children:[
                            ],
                        },
                        ],
                    },
                    {
                        id:"node0x1c1af10",
                        name:"initialized_declarator_list",
                        data:{},
                        children:[
                            ],
                        },
                        ],
                    },
                    ],
                },
                {
                    id:"node0x1c1b530",
                    name:"statement",
                    data:{},
                    children:[
                    {
                        id:"node0x1c1b4a0",
                        name:"return_statement",
                        data:{},
                        children:[
                        {
                            id:"node0x1c1b410",
                            name:"constant_expr",
                            data:{},
                            children:[
                            {
                                id:"node0x1c1b2b0",
                                name:"primary_expr",
                                data:{},
                                children:[
                                {
                                    id:"node0x1c1b340",
                                    name:"DECIMAL: '1'",
                                    data:{'$type':'ellipse',"$color":"#00FF00"},
                                    children:[
                                    ],
                                },
                                ],
                            },
                            ],
                        },
                        ],
                    },
                    ],
                },
                ],
            },
            ],
        }
